=== debian/control ===
Source: svg2zinc-perl
Section: devel
Priority: extra
Maintainer: Christophe Mertz <mertz@cena.fr>
Standards-Version: 3.5.6.0

Package: svg2zinc-perl
Architecture: all
Depends: ${perl:Depends}, zinc-perl (>= 3.2.95), libxml-parser-perl (>= 1.0.1), libjpeg-perl, libpng-perl
Build-Depends: debhelper (>= 3.0.18)
Description: Perl module and filter to display or generate scripts from SVG files
 svg2zinc and SVG2zinc.pm generates images or script code from SVG
 (Scalable Vectorial Graphics, an XML standard for vectorial graphics).
 This made possible the generation of the graphical part of an Human
 Computer Interface with tools such as Ilustrator, sketch, dia or any
 vectorial graphics editor able to generate SVG code.
 The main limitations are the SVG filters (which cannot be implemented),
 animations, and the scripting facility of SVG which are not really
 useful when using Perl, Tcl or another scripting language.
 Try for example:
 svg2zinc.pl Display /usr/share/doc/svg2zinc-perl/samples/....
 Also contains Math::Bezier::Convert (which should/could be in another
 debian package)
