=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=svg2zinc-perl

ifndef PERL
PERL=/usr/bin/perl
endif

TMP=`pwd`/debian/tmp
archlib = `$(PERL) -MConfig -e 'print $$Config{installarchlib}'`
#config = INSTALLDIRS=perl INSTALLMAN1DIR=$(TMP)/usr/man/man1 INSTALLMAN3DIR=$(TMP)/usr/man/man3 INSTALLPRIVLIB=$(TMP)/usr/lib/perl5 INSTALLARCHLIB=$(TMP)$(archlib) INSTALLSCRIPT=$(TMP)/usr/bin

build:
	$(checkdir)
	$(PERL) Makefile.PL INSTALLDIRS=vendor FULLPERL="PERL_DL_NONLAZY=0 /usr/bin/perl"
	$(MAKE)
	$(MAKE) test
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/usr
	$(MAKE) pure_install PREFIX=$(TMP)/usr
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	dh_perl
	dh_fixperms
	dh_installdocs doc/doc.txt doc/samples/
	debstd
	dpkg-gencontrol -isp
	dpkg --build debian/tmp ..

binary-arch:	checkroot build
	$(checkdir)
	$(checkversion)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
